--------------------------------------------------------------------------------
-- Copyright (c) 2001 by Trenz Electronic.
-- Duenner Kirchweg 77, 32257 Buende, Germany, www.trenz-electronic.de
--------------------------------------------------------------------------------
-- Project:     TE-XC2S Application Note: System-on-Chip with USB
-- File:        xc2sCore.vhd
-- Description: Core Logic.
-- History:     2001oct09, FB, Created.
--------------------------------------------------------------------------------

library IEEE;
use IEEE.std_logic_1164.all;

entity xc2sCore is
	port(
		clk48 : in STD_LOGIC;
		rst : in STD_LOGIC;
		urx0 : in STD_LOGIC;
		urxd : in STD_LOGIC;
		utx0 : out STD_LOGIC;
		utxd : out STD_LOGIC;
		utxoe : out STD_LOGIC;
		disp : out STD_LOGIC_VECTOR (15 downto 0)
		);
end xc2sCore;

architecture BHV of xc2sCore is
	
	---- Component declarations -----
	
	component usbMacro
		port (
			clk48 : in STD_LOGIC;
			din : in STD_LOGIC_VECTOR (15 downto 0);
			rst : in STD_LOGIC;
			urx0 : in STD_LOGIC;
			urxd : in STD_LOGIC;
			dout : out STD_LOGIC_VECTOR (15 downto 0);
			utx0 : out STD_LOGIC;
			utxd : out STD_LOGIC;
			utxoe : out STD_LOGIC
			);
	end component;
	component xc2sfunc
		port (
			clk48 : in STD_LOGIC;
			dout : in STD_LOGIC_VECTOR (15 downto 0);
			rst : in STD_LOGIC;
			din : out STD_LOGIC_VECTOR (15 downto 0);
			disp : out STD_LOGIC_VECTOR (15 downto 0)
			);
	end component;
	
	---- Signal declarations used on the diagram ----
	
	signal DIN : STD_LOGIC_VECTOR (15 downto 0);
	signal DOUT : STD_LOGIC_VECTOR (15 downto 0);
	
begin
	
	----  Component instantiations  ----
	
	Ufunc : xc2sfunc
	port map(
		clk48 => clk48,
		din => din,
		disp => disp,
		dout => dout,
		rst => rst
		);
	
	Uusb : usbMacro
	port map(
		clk48 => clk48,
		din => din,
		dout => dout,
		rst => rst,
		urx0 => urx0,
		urxd => urxd,
		utx0 => utx0,
		utxd => utxd,
		utxoe => utxoe
		);
	
	
end BHV;

--------------------------------------------------------------------------------
-- end of file

